Endpoint to send minimal wallet information for a connect-only or connect-first visitor.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"provider": "browserExtension",
"walletName": "<string>",
"authMode": "connect-only"
}
'{
"error": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Connected Visit data
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR browserExtension, custodialService, walletConnect, qrCode, deepLink, embeddedWallet, smartContractWallet 255connect-only, connect-and-sign Accepted
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"provider": "browserExtension",
"walletName": "<string>",
"authMode": "connect-only"
}
'{
"error": "<string>"
}